OpenVDB: EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG > Struct Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG > Struct Template Reference

`#include <openvdb/points/impl/PointRasterizeEllipsoidsSDFImpl.h>`

Inheritance diagram for EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG >:

## Public Types
using | BaseT = rasterize_sdf_internal::SphericalTransfer<SdfT, PositionCodecT, RadiusType, FilterT, CPG>
using | RealT = double
using | RotationHandleT = points::AttributeHandle<math::Mat3s>
using | PHandleT = points::AttributeHandle<Vec3f>
using | PwsHandleT = points::AttributeHandle<Vec3d>

## Public Member Functions
| EllipsoidTransfer (const size_t pidx, const Vec3i width, const RadiusType &rt, const math::Transform &source, const FilterT &filter, util::NullInterrupter *interrupt, SdfT &surface, const EllipseIndicies &indices, Int64Tree *cpg=nullptr, const std::unordered_map< const PointDataTree::LeafNodeType *, Index > *ids=nullptr)
| EllipsoidTransfer (const EllipsoidTransfer &other)
bool | startPointLeaf (const PointDataTree::LeafNodeType &leaf)
void | rasterizePoint (const Coord &ijk, const Index id, const CoordBBox &bounds)

## Static Public Attributes
static const Index | DIM = TreeT::LeafNodeType::DIM
static const Index | LOG2DIM = TreeT::LeafNodeType::LOG2DIM

## Member Typedef Documentation

## ◆ BaseT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

using BaseT = rasterize_sdf_internal::SphericalTransfer<SdfT, PositionCodecT, RadiusType, FilterT, CPG>

## ◆ PHandleT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

using PHandleT = points::AttributeHandle<Vec3f>

## ◆ PwsHandleT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

using PwsHandleT = points::AttributeHandle<Vec3d>

## ◆ RealT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

using RealT = double

## ◆ RotationHandleT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

using RotationHandleT = points::AttributeHandle<math::Mat3s>

## Constructor & Destructor Documentation

## ◆ EllipsoidTransfer() [1/2]

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

EllipsoidTransfer | ( | const size_t | pidx,
|  | const Vec3i | width,
|  | const RadiusType & | rt,
|  | const math::Transform & | source,
|  | const FilterT & | filter,
|  | util::NullInterrupter * | interrupt,
|  | SdfT & | surface,
|  | const EllipseIndicies & | indices,
|  | Int64Tree * | cpg = nullptr,
|  | const std::unordered_map< const PointDataTree::LeafNodeType *, Index > * | ids = nullptr )
| inline

## ◆ EllipsoidTransfer() [2/2]

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

EllipsoidTransfer | ( | const EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG > & | other | ) |
| inline

## Member Function Documentation

## ◆ rasterizePoint()

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

void rasterizePoint | ( | const Coord & | ijk,
|  | const Index | id,
|  | const CoordBBox & | bounds )
| inline

## ◆ startPointLeaf()

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

bool startPointLeaf | ( | const PointDataTree::LeafNodeType & | leaf | ) |
| inline

## Member Data Documentation

## ◆ DIM

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

const Index DIM = TreeT::LeafNodeType::DIM
| static

## ◆ LOG2DIM

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterT, bool CPG>

const Index LOG2DIM = TreeT::LeafNodeType::LOG2DIM
| static